<template>
  <div>
    <h2 class="mb-12 text-center text-3xl font-extrabold text-gray-900">
      {{title}}
    </h2>

    <p class="mt-2 mb-2 text-sm text-gray-600">
      لطفا کد ارسال شده به شماره موبایل 09198829528 را وارد نمایید.
    </p>
    <div class="text-left mb-4">
      <nuxt-link class="text-sm text-gray-400" to="/auth"
        >ویرایش شماره تلفن</nuxt-link
      >
    </div>
    <form class="space-y-6" action="#" method="POST">
      <div class="flex justify-around flex-row-reverse">
        <div class="mt-1 inline" v-for="(item, index) in 5" :key="index">
          <input
            :id="item"
            name="digit"
            type="number"
            v-on:keyup="moveToNext(item, item + 1)"
            data-maxlength="1"
            oninput="this.value=this.value.slice(0,this.dataset.maxlength)"
            v-model="codeVerified[item - 1]"
            required
            class="digit appearance-none text-center px-3 w-14 h-14 bg-[#f8f6f6] border-0 rounded-xl text-lg font-yekanBakh focus:outline-none focus:ring-[#ffc8c3] focus:border-[#ffc8c3] sm:text-sm"
          />
        </div>
      </div>
      <div class="text-left mb-4">
        <nuxt-link class="text-sm text-gray-400" to="/auth"
          >ارسال مجدد کد تا
          <span class="text-[#ffc8c3]"> 2:00 </span>
          دیگر</nuxt-link
        >
      </div>

      <div>
        <button
          type="submit"
          class="w-full flex pink_white_gradient font-yekanBakh justify-center py-4 px-4 rounded-full shadow-sm text-lg font-medium text-black hover:bg-red-400 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-[#ffc8c3]"
        >
          ادامه
        </button>
      </div>

      <!-- <div class="flex items-center justify-between">
                <div class="flex items-center">
                  <input
                    id="remember-me"
                    name="remember-me"
                    type="checkbox"
                    required
                    class="h-6 w-6 text-[#ffc8c3] focus:ring-[#ffc8c3] border-gray-300 rounded"
                  />
                  <label
                    for="remember-me"
                    class="ml-2 block text-sm text-gray-900 font-yekanBakh"
                  >
                    <span
                      class="text-[#f03a4f] text-sm font-normal mr-2"
                    ></span>
                    
                    استفاده از سایت دوسوته را می پذیرم .
                  </label>
                </div>
              </div> -->
    </form>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default:"ایجاد رمز عبور" 
    },
  },
  data() {
    return {
      codeVerified: [],
    }
  },
  methods: {
    moveToNext(elem, count) {
      console.log(elem)
      if (document.getElementById(elem).value.length > 0 && count <= 5) {
        document.getElementById(count).focus()
      }
    },
  },
  mounted() {
    document.getElementsByClassName('digit')[0].focus()

    // watch: {
    //   codeVerified: function (val) {
    //     // var Inputs = document.getElementsByClassName('digit')
    //     // for (var i = val.length - 1; (i) => 0; i--) {

    //     }
    //     // }
    //     //Make All Empty Input to Null
    //     // for (var i = 0; i < val.length; i++) {
    //     //   if (val[i] == null || val[i] == '') {
    //     //     val[i] = null
    //     //   }
    //     // }
    //     // //Make Theme Fill Respoctivley To Each Other
    //     // for (var i = 0; i < val.length; i++) {
    //     //   if (val[i] != null) {
    //     //     for (var j = 0; j < i; j++) {
    //     //       if (val[j] == null) {
    //     //         val[i] = null
    //     //       }
    //     //     }
    //     //   }
    //     // }
    //     console.log(val)
    //     //Make Theme Fill After Each Other
    //     // var Inputs = document.getElementsByClassName('phone')
    //     // for (var i = val.length - 1; (i) => 0; i--) {
    //     //   if (val[i] != null && i != 4) {
    //     //     Inputs[i + 1].focus()
    //     //     break
    //     //   }
    //     // }
    //   },
  },
}
</script>

<style scoped>
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type='number'] {
  -moz-appearance: textfield;
}
</style>
